#ifndef _UG_OBJECT_PLACER_
#define _UG_OBJECT_PLACER_


#include <hpllib/HPLLib.h>


class UGObjectPlacer: public AbstractAllInOnePlacer{
public:
	UGObjectPlacer();
	virtual ~UGObjectPlacer();
	void placePlayer();
	void placeEnemy(HPLShootingObject* obj, HPLVector center);
	void placeNeutral(HPLShootingObject* obj, HPLVector center);
	void placeEffect(HPLShootingObject* obj, HPLVector center);
	void placeItem(HPLShootingObject* obj, HPLVector center);
};


#endif
